Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230317 - Evolution freezes after editing MS Exchange account options
Summary: Evolution freezes after editing MS Exchange account options
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-connector
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 09:42 UTC by An. N
Modified: 2018-04-11 15:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-17 17:20:10 UTC


Attachments (Terms of Use)

Description An. N 2007-02-28 09:42:42 UTC
Description of problem:
After changing and saving the options for a MS Exchange account handled by
connector, evolution requires a restart. After doing so, a password dialog box
for the account appears, but the interface is frozen (both dialog and
evolution). The only way to get evolution back up is to manually remove the
account using gconf-editor.

Version-Release number of selected component (if applicable):
2.8.3

How reproducible:
Always

Steps to Reproduce:
1. Edit->Preferences->Mail Accounts
2. Select the exchange account from the list
3. Edit...
4. Change a setting (i.e. ldap address)
5. Click OK
6. Exit Evolution
7. Start Evolution again

Actual results:
Evolution's UI freezes almost immediately after startup (~1 second)

Expected results:
Evolution is up and running

Additional info:
None

Comment 1 Matthew Barnes 2007-10-02 18:18:27 UTC
Is this problem still present in Fedora 8 Test 2 or later?

Comment 2 An. N 2007-10-03 15:20:21 UTC
Unfortunately I'm unable to test on FC8t2 or later.

The described problem has happened to me on FC7 x86_64 once, though.


Comment 3 Milan Crha 2007-11-20 18:19:31 UTC
When you got such freeze, can you attach gdb to evolution process and do "thread
apply all bt" to see where it froze? it will be better when you've installed
debug info packages for evolution, evolution-data-server, evolution-exchange and
gtkhtml3. Please attach here that stack trace. Thanks in advance.

Comment 4 Matěj Cepl 2008-01-17 14:02:45 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 5 An. N 2008-01-17 15:42:52 UTC
I've filed this bug 10 months ago, and have stopped using evolution since. If I
encounter this bug in the future, I will file the bug again with a reference to
this one.


Comment 6 Matthew Barnes 2008-01-17 17:20:10 UTC
Closing this as INSUFFICIENT_DATA. I haven't seen the specific freeze mentioned
here, but Evolution does seem to get cranky when users mess with Exchange
options. Bugs like this are filed upstream, and the developers are will aware of
the instability surronding Exchange settings so this issue will not be forgotten.


Note You need to log in before you can comment on or make changes to this bug.